<form method="post" name="fpost" enctype="multipart/form-data" action="post.php">
<?php Util::pformInput() ?>
<input type="hidden" name="article" value="<?php if (isset($article)) echo htmlspecialchars($article) ?>" />
<input type="hidden" name="supersedes" value="<?php echo htmlspecialchars($supersedes) ?>" />
<input type="hidden" name="orig_group" value="<?php echo $orig_group ?>" />

<table border="0" width="100%" align="center" cellpadding="0" cellspacing="1">
  <tr class="header">
    <td colspan="2" class="header">
      <b>&nbsp;<?php echo _("Posting") ?></b>
    </td>
  </tr>
</table>

<table border="0" width="100%" align="center" cellpadding="0" cellspacing="1">
  <tr>
    <td>&nbsp;</td>
    <td>
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr>
          <td nowrap="nowrap" align="left">
            <input type="submit" class="button" value="<?php echo _("Cancel") ?>" onclick="if (confirm('<?php echo _('Really discard this message?') ?>')) { self.close(); } return false; ">&nbsp;<input type="Reset" class="button" value="<?php echo _("Reset") ?>">&nbsp;<input type="Submit" class="button" value="<?php echo _("Post Article") ?>">
          </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td class="light" valign="middle" align="right"><b><?php echo Horde::label('newsgroups', _("Newsgroups")) ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td align="left"><input type="text" class="fixed" name="group" size="72" value="<?php echo htmlspecialchars($group) ?>"></td>
<?php
/*
          <td align="right"><?php echo Horde::link("javascript:openList('" . addslashes($registry->get('webroot', 'troll')) . "','n')", _("Choose newsgroups")) .  Horde::img('listgroups.png',  _("Choose newsgroups"), 'height="16" width="16"') ?></a>&nbsp;</td>
*/
?>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td class="light" valign="middle" align="right"><b><?php echo Horde::label('follow-up', _("Follow-up To")) ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td align="left"><input type="text" class="fixed" name="fu2" size="72" value="<?php if (isset($fu2)) echo htmlspecialchars($fu2) ?>"></td>
<?php
/*
        <?php echo Horde::link("javascript:openList('" . addslashes($registry->get('webroot', 'troll')) . "','y')", _("Choose newsgroups")) .  Horde::img('listgroups.png',  _("Choose newsgroups"), 'height="16" width="16"') ?></a>&nbsp;
*/
?>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td class="light" valign="middle" align="right"><b><?php echo Horde::label('identity', _("Identity")) ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td align="left"><input type="hidden" name="last_identity" value="<?php echo $identity->getDefault() ?>" />
            <select id="identity" name="identity" onchange="change_identity(this.selectedIndex)">
<?php foreach ($select_list as $key => $select): ?>
              <option value="<?php echo $key ?>"<?php if ($key == $identity->getDefault()) echo ' selected="selected"' ?>><?php echo htmlspecialchars($select) ?></option>
<?php endforeach; ?>
            </select>
          </td>
        </tr>
      </table>
    </td>
  </tr>

<?php if (!empty($conf['compose']['organization'])): ?>
  <tr>
    <td class="light" valign="middle" align="right"><b><?php echo _("Organization") ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td><?php echo htmlspecialchars($conf['compose']['organization']) ?></td>
        </tr>
      </table>
    </td>
  </tr>
<?php endif; ?>

  <tr>
    <td class="light" align="right"><b><?php echo Horde::label('subject', _("Subject")) ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td align="left"><input type="text" class="fixed" name="subject" size="72" value="<?php echo htmlspecialchars(($post_error) ? $subject : $oldsubject) ?>"></td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td class="light" align="right" valign="top"><b><?php echo _("Text") ?>&nbsp;</b></td>
    <td class="item" align="left">
      <table border="0" width="100%" cellpadding="0">
        <tr>
          <td><textarea class="fixed" name="message" rows="20" cols="<?php echo $prefs->getValue('wrap_width') ?>" wrap="hard"><?php
if ($post_error) {
    // Strip first signature - if any.
    $pos = strpos($message, "\r\n-- \r\n");
    if ($pos === FALSE) {
        echo $message;
    } else {
        echo String::substr($message, 0, $pos);
    }
} elseif (isset($art)) {
    if (!$supersedes) {
        echo $art['from'] . ' ' . _("wrote:") . "\n\n";
    }

    require_once 'Text/Flowed.php';
    $flowed = &new Text_Flowed($art['rawbody']);
    echo $flowed->toFlowed(true);
}
?></textarea></td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td>&nbsp;</td>
    <td>
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr>
          <td nowrap="nowrap" align="left">
            <input type="submit" class="button" value="<?php echo _("Cancel") ?>" onclick="if (confirm('<?php echo _('Really discard this message?') ?>')) { self.close(); } return false; ">&nbsp;<input type="Reset" class="button" value="<?php echo _("Reset") ?>">&nbsp;<input type="Submit" class="button" value="<?php echo _("Post Article") ?>">
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

</form>
<br />
<tr>
